apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: "{{ inv_k8s.cert_manager.prod_issuer_name }}"
    kubernetes.io/ingress.class: "{{ inv_k8s.ingress_class }}"
    kubernetes.io/tls-acme: "true"
  labels:
    app: gravitee-gateway
  name: gravitee-gateway
  namespace: "{{ k8s_namespace }}"
spec:
  rules:
  - host: 'apim.{{ DOMAIN }}'
    http:
      paths:
      - path: '/gateway'
        pathType: Prefix
        backend:
          service:
            name: gravitee-gateway
            port:
              number: 8082

  tls:
  - hosts:
    - 'apim.{{ DOMAIN }}'
    secretName: 'apim.{{ DOMAIN }}'

---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: "{{ inv_k8s.cert_manager.prod_issuer_name }}"
    kubernetes.io/ingress.class: "{{ inv_k8s.ingress_class }}"
    kubernetes.io/tls-acme: "true"
    # nginx.ingress.kubernetes.io/configuration-snippet: |
    #   etag on;
    #   proxy_pass_header ETag;
    #   proxy_set_header if-match "";
  labels:
    app: gravitee-api-management
  name: gravitee-api-management
  namespace: "{{ k8s_namespace }}"
spec:
  rules:
  - host: 'apim.{{ DOMAIN }}'
    http:
      paths:
      - path: '/management'
        pathType: Prefix
        backend:
          service:
            name: gravitee-api-management
            port:
              number: 8083
  tls:
  - hosts:
    - 'apim.{{ DOMAIN }}'
    secretName: 'apim.{{ DOMAIN }}'

---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: "{{ inv_k8s.cert_manager.prod_issuer_name }}"
    kubernetes.io/ingress.class: "{{ inv_k8s.ingress_class }}"
    kubernetes.io/tls-acme: "true"
    # nginx.ingress.kubernetes.io/configuration-snippet: |
    #   etag on;
    #   proxy_pass_header ETag;
    #   proxy_set_header if-match "";
  labels:
    app: gravitee-api-portal
  name: gravitee-api-portal
  namespace: "{{ k8s_namespace }}"
spec:
  rules:
  - host: 'apim.{{ DOMAIN }}'
    http:
      paths:
      - path: '/portal'
        pathType: Prefix
        backend:
          service:
            name: gravitee-api-management
            port:
              number: 8083
  tls:
  - hosts:
    - 'apim.{{ DOMAIN }}'
    secretName: 'apim.{{ DOMAIN }}'

---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: "{{ inv_k8s.cert_manager.prod_issuer_name }}"
    kubernetes.io/ingress.class: "{{ inv_k8s.ingress_class }}"
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/configuration-snippet: >-
      {% if ENVIRONMENT == "prd" %}
      proxy_set_header Accept-Encoding ""; sub_filter '</title>'
      '</title><script>var _paq = window._paq = window._paq
      ||[];_paq.push(["trackPageView"]);_paq.push(["enableLinkTracking"]);(function(){var
      u="https://statistik.urbantechrepublic.de/";_paq.push(["setTrackerUrl",
      u+"matomo.php"]);_paq.push(["setSiteId", "8"]);var d=document,
      g=d.createElement("script"),
      s=d.getElementsByTagName("script")[0];g.async=true; g.src=u+"matomo.js";
      s.parentNode.insertBefore(g,s);})();</script>';
      {% elif ENVIRONMENT == "stg" %}
      proxy_set_header Accept-Encoding ""; sub_filter '</title>'
      '</title><script>var _paq = window._paq = window._paq
      ||[];_paq.push(["trackPageView"]);_paq.push(["enableLinkTracking"]);(function(){var
      u="https://statistik.urbantechrepublic.de/";_paq.push(["setTrackerUrl",
      u+"matomo.php"]);_paq.push(["setSiteId", "13"]);var d=document,
      g=d.createElement("script"),
      s=d.getElementsByTagName("script")[0];g.async=true; g.src=u+"matomo.js";
      s.parentNode.insertBefore(g,s);})();</script>';
      {% endif %}
    # nginx.ingress.kubernetes.io/configuration-snippet: |
    #   etag on;
    #   proxy_pass_header ETag;
  labels:
    app: gravitee-portal
  name: gravitee-portal
  namespace: "{{ k8s_namespace }}"
spec:
  rules:
  - host: 'apim.{{ DOMAIN }}'
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: gravitee-portal
            port:
              number: 8085
  tls:
  - hosts:
    - 'apim.{{ DOMAIN }}'
    secretName: 'apim.{{ DOMAIN }}'

---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: "{{ inv_k8s.cert_manager.prod_issuer_name }}"
    kubernetes.io/ingress.class: "{{ inv_k8s.ingress_class }}"
    kubernetes.io/tls-acme: "true"
    # nginx.ingress.kubernetes.io/configuration-snippet: |
    #   etag on;
    #   proxy_pass_header ETag;
    nginx.ingress.kubernetes.io/rewrite-target: /$1$2
  labels:
    app: gravitee-ui
  name: gravitee-ui
  namespace: "{{ k8s_namespace }}"
spec:
  rules:
  - host: 'apim.{{ DOMAIN }}'
    http:
      paths:
      - path: '/console(/|$)(.*)'
        pathType: Prefix
        backend:
          service:
            name: gravitee-ui
            port:
              number: 8084
  tls:
  - hosts:
    - 'apim.{{ DOMAIN }}'
    secretName: 'apim.{{ DOMAIN }}'

